org.eclipse.viatra.query.patternlanguage.emf

## Class EMFPatternLanguageRuntimeModule

- java.lang.Object
- - org.eclipse.xtext.service.AbstractGenericModule
  - - org.eclipse.xtext.service.DefaultRuntimeModule
    - - org.eclipse.xtext.common.types.DefaultCommonTypesRuntimeModule
      - - org.eclipse.xtext.xbase.DefaultXbaseRuntimeModule
        - - org.eclipse.viatra.query.patternlanguage.emf.AbstractEMFPatternLanguageRuntimeModule
          - - org.eclipse.viatra.query.patternlanguage.emf.EMFPatternLanguageRuntimeModule

- All Implemented Interfaces:
    com.google.inject.Module
  Direct Known Subclasses:
    EMFPatternLanguageStandaloneCompilerModule, EMFPatternLanguageStandaloneSetup.StandaloneParserModule

      public class EMFPatternLanguageRuntimeModule
      extends AbstractEMFPatternLanguageRuntimeModule

  Use this class to register components to be used at runtime / without the Equinox extension registry.

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.query.patternlanguage.emf.AbstractEMFPatternLanguageRuntimeModule

      `properties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EMFPatternLanguageRuntimeModule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class<? extends AnnotationExpressionValidator>` | `bindAnnotationExpressionValidator()`
    `java.lang.Class<? extends IAnnotationValidatorLoader>` | `bindAnnotationValidatorLoader()`
    `java.lang.Class<? extends org.eclipse.xtext.xbase.scoping.batch.IBatchScopeProvider>` | `bindIBatchScopeProvider()`
    `java.lang.Class<? extends IClassLoaderProvider>` | `bindIClassLoaderProvider()`
    `java.lang.Class<? extends org.eclipse.xtext.serializer.tokens.ICrossReferenceSerializer>` | `bindICrossReferenceSerializer()`
    `java.lang.Class<? extends org.eclipse.xtext.resource.IDefaultResourceDescriptionStrategy>` | `bindIDefaultResourceDescriptionStrategy()`
    `java.lang.Class<? extends IErrorFeedback>` | `bindIErrorFeedback()`
    `java.lang.Class<? extends IExpectedPackageNameProvider>` | `bindIExpectedPackageNameProvider()`
    `java.lang.Class<? extends org.eclipse.xtext.formatting.IFormatter>` | `bindIFormatter()`
    `java.lang.Class<? extends org.eclipse.xtext.resource.IFragmentProvider>` | `bindIFragmentProvider()`
    `java.lang.Class<? extends org.eclipse.xtext.xbase.compiler.IGeneratorConfigProvider>` | `bindIGeneratorConfigProvider()`
    `java.lang.Class<? extends org.eclipse.xtext.resource.IGlobalServiceProvider>` | `bindIGlobalServiceProvider()`
    `java.lang.Class<? extends IIssueCallback>` | `bindIIssueCallback()`
    `java.lang.Class<? extends org.eclipse.xtext.xbase.jvmmodel.IJvmModelInferrer>` | `bindIJvmModelInferrer()`
    `java.lang.Class<? extends org.eclipse.xtext.linking.ILinkingService>` | `bindILinkingService()`
    `java.lang.Class<? extends org.eclipse.xtext.xbase.jvmmodel.ILogicalContainerProvider>` | `bindILogicalContainerProvider()`
    `java.lang.Class<? extends IMetamodelProvider>` | `bindIMetamodelProvider()`
    `java.lang.Class<? extends IPureWhitelistExtensionProvider>` | `bindIPureWhitelistExtensionProvider()`
    `java.lang.Class<? extends org.eclipse.xtext.naming.IQualifiedNameProvider>` | `bindIQualifiedNameProvider()`
    `java.lang.Class<? extends org.eclipse.xtext.parser.antlr.ISyntaxErrorMessageProvider>` | `bindISyntaxErrorMessageProvider()`
    `java.lang.Class<? extends ITypeInferrer>` | `bindITypeInferrer()`
    `java.lang.Class<? extends ITypeSystem>` | `bindITypeSystem()`
    `java.lang.Class<? extends org.eclipse.xtext.xbase.jvmmodel.JvmModelAssociator>` | `bindJvmModelAssociator()`
    `java.lang.Class<? extends PatternAnnotationProvider>` | `bindPatternAnnotationProvider()`
    `void` | `configureClasspathValidation(com.google.inject.Binder binder)`
    `void` | `configureIScopeProviderDelegate(com.google.inject.Binder binder)`
    `void` | `configurePatternReuse(com.google.inject.Binder binder)`
    `void` | `configureQueryGroupGeneration(com.google.inject.Binder binder)`

    - ### Methods inherited from class org.eclipse.viatra.query.patternlanguage.emf.AbstractEMFPatternLanguageRuntimeModule

      `bindClassLoaderToInstance, bindDefaultBatchTypeResolver, bindDefaultReentrantTypeResolver, bindEMFPatternLanguageValidator, bindFeatureNameValidator, bindIAllContainersState$Provider, bindIAntlrTokenFileProvider, bindIContainer$Manager, bindIGlobalScopeProvider, bindIGrammarAccess, bindILocationInFileProvider, bindIParser, bindIResourceValidator, bindISemanticSequencer, bindISerializer, bindISyntacticSequencer, bindITokenDefProvider, bindITokenToStringConverter, bindIUnorderedGroupHelper, bindLexer, configure, configureFileExtensions, configureIgnoreCaseLinking, configureIResourceDescriptions, configureIResourceDescriptionsPersisted, configureLanguageName, configureRewritableImportSectionEnablement, configureRuntimeLexer, provideInternalEMFPatternLanguageLexer`

    - ### Methods inherited from class org.eclipse.xtext.xbase.DefaultXbaseRuntimeModule

      `bindAbstractFileSystemAccess2, bindCancelableDiagnostician, bindConfigurableIssueCodesProvider, bindEObjectAtOffsetHelper, bindIdentifiableSimpleNameProvider, bindIDerivedStateComputer, bindIEvaluationContext, bindIExpressionInterpreter, bindIGenerator, bindIJavaDocReferenceProvider, bindILinker, bindILinkingDiagnosticMessageProvider, bindIPartialParserHelper, bindIQualifiedNameConverter, bindIResourceDescription$Manager, bindIScopeProvider, bindIStratumBreakpointSupport, bindIValueConverterService, bindJvmTypeReferencesValidator, bindLineSeparatorHarmonizer, bindNodeModelBuilder, bindProjectConfigProvider, bindSeverityConverter, bindStaticImplicitMethodsFeatureForTypeProvider$ExtensionClassNameProvider, bindTargetURICollector, bindUniqueClassNameValidator, bindXtextResource, bindXtypeFactoryToInstance, configureITransientValueService, configureLinkingIScopeProvider, configureSerializerIScopeProvider`

    - ### Methods inherited from class org.eclipse.xtext.common.types.DefaultCommonTypesRuntimeModule

      `bindAbstractTypeScopeProvider, bindIJvmTypeProvider$Factory, bindTypesFactoryToInstance`

    - ### Methods inherited from class org.eclipse.xtext.service.DefaultRuntimeModule

      `bindConcreteSyntaxValidator, bindDiagnostician, bindEPackageRegistry, bindEValidatorRegistry, bindIAstFactory, bindINodeModelFormatter, bindIResourceFactory, bindIResourceServiceProvider$Registry, bindITransientValueService, bindResourceSet, bindRuntimeEncodingProvider, bindXtextResourceSet, configureGenericSemanticSequencer, configureIResourceDescriptionsBuilderScope, configureIResourceDescriptionsLiveScope, configureRuntimeEncodingProvider, configureUseIndexFragmentsForLazyLinking, provideIEncodingProvider`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractGenericModule

      `bindProperties, getBindings, tryBindProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EMFPatternLanguageRuntimeModule

          public EMFPatternLanguageRuntimeModule()

  - ### Method Detail

    - #### bindILinkingService

          public java.lang.Class<? extends org.eclipse.xtext.linking.ILinkingService> bindILinkingService()

      Overrides:
        `bindILinkingService` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

    - #### configureIScopeProviderDelegate

          public void configureIScopeProviderDelegate(com.google.inject.Binder binder)

      Overrides:
        `configureIScopeProviderDelegate` in class `AbstractEMFPatternLanguageRuntimeModule`

    - #### bindIBatchScopeProvider

          public java.lang.Class<? extends org.eclipse.xtext.xbase.scoping.batch.IBatchScopeProvider> bindIBatchScopeProvider()

      Overrides:
        `bindIBatchScopeProvider` in class `AbstractEMFPatternLanguageRuntimeModule`
      Since:
        1.7

    - #### bindIDefaultResourceDescriptionStrategy

          public java.lang.Class<? extends org.eclipse.xtext.resource.IDefaultResourceDescriptionStrategy> bindIDefaultResourceDescriptionStrategy()

      Overrides:
        `bindIDefaultResourceDescriptionStrategy` in class `org.eclipse.xtext.xbase.DefaultXbaseRuntimeModule`

    - #### bindIMetamodelProvider

          public java.lang.Class<? extends IMetamodelProvider> bindIMetamodelProvider()

    - #### bindICrossReferenceSerializer

          public java.lang.Class<? extends org.eclipse.xtext.serializer.tokens.ICrossReferenceSerializer> bindICrossReferenceSerializer()

    - #### bindISyntaxErrorMessageProvider

          public java.lang.Class<? extends org.eclipse.xtext.parser.antlr.ISyntaxErrorMessageProvider> bindISyntaxErrorMessageProvider()

    - #### bindIQualifiedNameProvider

          public java.lang.Class<? extends org.eclipse.xtext.naming.IQualifiedNameProvider> bindIQualifiedNameProvider()

      Overrides:
        `bindIQualifiedNameProvider` in class `AbstractEMFPatternLanguageRuntimeModule`

    - #### bindIGlobalServiceProvider

          public java.lang.Class<? extends org.eclipse.xtext.resource.IGlobalServiceProvider> bindIGlobalServiceProvider()

    - #### bindAnnotationExpressionValidator

          public java.lang.Class<? extends AnnotationExpressionValidator> bindAnnotationExpressionValidator()

    - #### bindIIssueCallback

          public java.lang.Class<? extends IIssueCallback> bindIIssueCallback()

    - #### bindIClassLoaderProvider

          public java.lang.Class<? extends IClassLoaderProvider> bindIClassLoaderProvider()

    - #### bindIJvmModelInferrer

          public java.lang.Class<? extends org.eclipse.xtext.xbase.jvmmodel.IJvmModelInferrer> bindIJvmModelInferrer()

      Overrides:
        `bindIJvmModelInferrer` in class `AbstractEMFPatternLanguageRuntimeModule`

    - #### bindILogicalContainerProvider

          public java.lang.Class<? extends org.eclipse.xtext.xbase.jvmmodel.ILogicalContainerProvider> bindILogicalContainerProvider()

    - #### bindJvmModelAssociator

          public java.lang.Class<? extends org.eclipse.xtext.xbase.jvmmodel.JvmModelAssociator> bindJvmModelAssociator()

    - #### bindIErrorFeedback

          public java.lang.Class<? extends IErrorFeedback> bindIErrorFeedback()

    - #### bindITypeSystem

          public java.lang.Class<? extends ITypeSystem> bindITypeSystem()

    - #### bindITypeInferrer

          public java.lang.Class<? extends ITypeInferrer> bindITypeInferrer()

    - #### bindIExpectedPackageNameProvider

          public java.lang.Class<? extends IExpectedPackageNameProvider> bindIExpectedPackageNameProvider()

      Since:
        1.3

    - #### bindIFragmentProvider

          public java.lang.Class<? extends org.eclipse.xtext.resource.IFragmentProvider> bindIFragmentProvider()

      Overrides:
        `bindIFragmentProvider` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

    - #### bindIGeneratorConfigProvider

          public java.lang.Class<? extends org.eclipse.xtext.xbase.compiler.IGeneratorConfigProvider> bindIGeneratorConfigProvider()

      Since:
        1.7

    - #### bindIFormatter

          public java.lang.Class<? extends org.eclipse.xtext.formatting.IFormatter> bindIFormatter()

      Overrides:
        `bindIFormatter` in class `org.eclipse.xtext.service.DefaultRuntimeModule`
      Since:
        2.0

    - #### bindPatternAnnotationProvider

          public java.lang.Class<? extends PatternAnnotationProvider> bindPatternAnnotationProvider()

      Since:
        2.0

    - #### bindIPureWhitelistExtensionProvider

          public java.lang.Class<? extends IPureWhitelistExtensionProvider> bindIPureWhitelistExtensionProvider()

      Since:
        2.0

    - #### configurePatternReuse

          public void configurePatternReuse(com.google.inject.Binder binder)

      Since:
        2.0

    - #### configureClasspathValidation

          public void configureClasspathValidation(com.google.inject.Binder binder)

      Since:
        2.0

    - #### bindAnnotationValidatorLoader

          public java.lang.Class<? extends IAnnotationValidatorLoader> bindAnnotationValidatorLoader()

      Since:
        2.0

    - #### configureQueryGroupGeneration

          public void configureQueryGroupGeneration(com.google.inject.Binder binder)

      Since:
        2.3